ZABBIX BUGS AND ISSUES

It's not possible to import the host.

Details

Description

That host has been imported in Zabbix 2.0.6 version.
When I am importing the attached host. I receive the following error.

Undefined offset: 0 [include/db.inc.php:1119]
Undefined index: if1 [include/classes/import/CConfigurationImport.php:570]
No interface found.

Issue Links

Activity

Hide
Andrei Gushchin added a comment -

It works fine for the 2.0.6 and trunk versions.

Show
Andrei Gushchin added a comment - It works fine for the 2.0.6 and trunk versions.
Hide
Pavels Jelisejevs added a comment -

This could be the same problem as ZBX-6918.

Show
Pavels Jelisejevs added a comment - This could be the same problem as ZBX-6918.
Hide
Eduards Samersovs added a comment -

Fixed in development branch svn://svn.zabbix.com/branches/dev/ZBX-6922

Show
Eduards Samersovs added a comment - Fixed in development branch svn://svn.zabbix.com/branches/dev/ZBX-6922
Hide
Alexander Vladishev added a comment - - edited

(1) It is a useless code if $sort is false. Better to move it under "if ($sort) {...}".

$values = array_values($values);

Eduards Samersovs RESOLVED r.38164

Alexander Vladishev CLOSED

Show
Alexander Vladishev added a comment - - edited (1) It is a useless code if $sort is false. Better to move it under "if ($sort) {...}".
$values = array_values($values);
Eduards Samersovs RESOLVED r.38164 Alexander Vladishev CLOSED
Hide
Alexander Vladishev added a comment - - edited

(2) Please review a new tests (r38151).

Eduards Samersovs OK

Show
Alexander Vladishev added a comment - - edited (2) Please review a new tests (r38151). Eduards Samersovs OK
Hide
Alexander Vladishev added a comment -

Successfully tested!

Show
Alexander Vladishev added a comment - Successfully tested!
Hide
Eduards Samersovs added a comment -

Fixed in versions pre-2.1.3 (trunk) r.38174, pre-2.0.9rc1 r.38173

Show
Eduards Samersovs added a comment - Fixed in versions pre-2.1.3 (trunk) r.38174, pre-2.0.9rc1 r.38173
Hide
Volker Fröhlich added a comment -

Will be in EPEL 2.0.8-3 packages.

Show
Volker Fröhlich added a comment - Will be in EPEL 2.0.8-3 packages.

People

Vote (0)
Watch (3)

Dates

  • Created:
    Updated:
    Resolved: